Subject: [Entmib] entstate-651 Notification Description Changes (Part II)

From: "Sharon Chisholm" <[email-masked]>
Date: Thu, 16 Dec 2004 11:04:24 -0500

hi

Missed part of this ....

<Juergen>
p) The notification are optional. Should there be any further
guideline under which conditions implementations should support
them?
</Juergen>

I don't think so. They probably should have been mandatory but optional was
more a political decision. I think it is an implement them if you find them
useful sort of thing rather than a design pattern that implementations could
test against.

Sharon Chisholm
Nortel Networks
Ottawa, Ontario
Canada

_______________________________________________
Entmib mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/entmib

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Thu, 16 Dec 2004 22:04:12 +0100

> useful sort of thing rather than a design pattern that implementations could

I dislike totally optional notifications in standards. Either these
notifications are generally useful or they are useful in specific
situations which then need to be spelled out or they are not useful 
at all. How do I practically find out whether a given box supports
these notifications? Is the answer that I have to physically remove
decives are beg the vendor to give me a suitable agent capabilities
statements? Sounds all not very practical from a network management
application writer point of view...

/js

-- 
Juergen Schoenwaelder		    International University Bremen
<http://www.eecs.iu-bremen.de/>	    P.O. Box 750 561, 28725 Bremen, Germany